Gentoo Archives: gentoo-dev

From: Ciaran McCreesh <ciaran.mccreesh@××××××××××.com>
To: "Michał Górny" <mgorny@g.o>
Cc: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] gtk3 useflag and support of older toolkits
Date: Sat, 23 Jun 2012 18:34:10
In Reply to: Re: [gentoo-dev] gtk3 useflag and support of older toolkits by "Michał Górny"
On Sat, 23 Jun 2012 20:26:01 +0200
Michał Górny <mgorny@g.o> wrote:
> > You could just have gtk2 and gtk3 use flags in the ebuild, use > > REQUIRED_USE to ensure that at least one is enabled, and build > > things twice in the ebuild if necessary. > > Ah, so because a few paludis users may be building an additional > variant of webkit-gtk unnecessarily, we should force all Gentoo users > to randomly rebuild 1-2 variants depending on how soon they're going > to get the USE correctly.
No. Because the ebuilds would be abusing functionality in a fairly horrible way, we should avoid doing that until we have a good solution in place. Or, looking at it another way, Portage's upgrade rules shouldn't be locked in place because of weird behaviour from a few packages. -- Ciaran McCreesh


File name MIME type
signature.asc application/pgp-signature